package libkmod2 22-1ubuntu4 [modified: usr/share/doc/libkmod2/changelog.Debian.gz] failed to install/upgrade: trying to overwrite shared '/usr/share/doc/libkmod2/changelog.Debian.gz', which is different from other instances of package libkmod2:i386

Bug #1658374 reported by mictremblay52 on 2017-01-21
108
This bug affects 22 people
Affects Status Importance Assigned to Milestone
One Hundred Papercuts
High
Unassigned
kmod (Ubuntu)
High
Unassigned

Bug Description

where can i found this information ....

ProblemType: Package
DistroRelease: Ubuntu 16.04
Package: libkmod2 22-1ubuntu4 [modified: usr/share/doc/libkmod2/changelog.Debian.gz]
ProcVersionSignature: Ubuntu 4.4.0-59.80-generic 4.4.35
Uname: Linux 4.4.0-59-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.4
Architecture: amd64
Date: Sat Jan 21 18:45:51 2017
Dependencies:
 gcc-6-base 6.0.1-0ubuntu1
 libc6 2.23-0ubuntu5
 libgcc1 1:6.0.1-0ubuntu1
DuplicateSignature:
 package:libkmod2:22-1ubuntu4 [modified: usr/share/doc/libkmod2/changelog.Debian.gz]
 Unpacking libkmod2:i386 (22-1ubuntu4) ...
 dpkg: error processing archive /var/cache/apt/archives/libkmod2_22-1ubuntu4_i386.deb (--unpack):
  trying to overwrite shared '/usr/share/doc/libkmod2/changelog.Debian.gz', which is different from other instances of package libkmod2:i386
ErrorMessage: trying to overwrite shared '/usr/share/doc/libkmod2/changelog.Debian.gz', which is different from other instances of package libkmod2:i386
InstallationDate: Installed on 2014-05-04 (993 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140417)
RelatedPackageVersions:
 dpkg 1.18.4ubuntu1.1
 apt 1.2.18
SourcePackage: kmod
Title: package libkmod2 22-1ubuntu4 [modified: usr/share/doc/libkmod2/changelog.Debian.gz] failed to install/upgrade: trying to overwrite shared '/usr/share/doc/libkmod2/changelog.Debian.gz', which is different from other instances of package libkmod2:i386
UpgradeStatus: Upgraded to xenial on 2016-09-25 (118 days ago)

mictremblay52 (michel-sylmic) wrote :
tags: removed: need-duplicate-check
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in kmod (Ubuntu):
status: New → Confirmed
Sean McG (gseanmcg) wrote :

+1

This prevents crossbuilding on amd64 for packages depending on f.ex. libudev-dev:i386

Changed in kmod (Ubuntu):
importance: Undecided → High
Changed in hundredpapercuts:
status: New → Confirmed
importance: Undecided → High
Sean McG (gseanmcg) wrote :

Fixed on my system with the following:

$ apt-get --reinstall install libkmod2
$ apt-get install libkmod2:i386

Not certain what would have caused the mismatch between the changelogs in the first place, especially since this package is Multi-Arch.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers